Subject: Re: bug#15069: [PATCH] Bug: 15069: Correct functioning in the *scratch* buffer

From: pillule <[email-masked]>
Date: Mon, 24 May 2021 15:48:20 +0000

Eli Zaretskii <[email-masked]> writes:

> It says "install the functions", which means they should be 
> evaluated
> or loaded, and that tells you the Lisp code should already be
> available in some Lisp buffer, whether it's *scratch* or some 
> *.el
> file.
>
> So why did you think it speaks about the text in the Info 
> buffer?
> That's not the intent of the text, and the text says as much.

That is what I have done when studying this manual, I don't 
remember well,
but I may have been comforted in this habit by the following 
sections :

(info "(eintr) How to Evaluate")
«   In addition to typing keyboard commands, we have seen a second 
way to
evaluate an expression: by positioning the cursor after a list and
typing ‘C-x C-e’.  This is what we will do in the rest of this 
section.
There are other ways to evaluate an expression as well; these will 
be
described as we come to them.»

(info "(eintr) Buffer Names")
«   If you are reading this in Info inside of GNU Emacs, you can 
evaluate
each of the following expressions by positioning the cursor after 
it and
typing ‘C-x C-e’.»

Finally the section :

(info "(eintr) count-words-in-defun")
«   Now we can try out ‘count-words-defun’: install both
‘count-words-in-defun’ and ‘count-words-defun’, and set the 
keybinding,
and then place the cursor within the following definition:»
                          ^_____________________________^

So I can understand one may be confused to discover that in this 
case,
he or she must instead copy the following definition in a separate 
file,
then call the command `count-words-in-defun' within it.

> So I'm not sure we should install this fix.  Any other opinions?
>
> In any case:
>
>   . just talking about *scratch* is too restrictive
>   . the commit log message is not according to our conventions 
>   (see
>     CONTRIBUTE)

Yes please don't.
--